package com.ruoyi.project.production.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.production.mapper.TPpeStaffLockerMapper;
import com.ruoyi.project.production.domain.TPpeStaffLocker;
import com.ruoyi.project.production.service.ITPpeStaffLockerService;

/**
 * 自行车棚员工PPE柜Service业务层处理
 *
 * @author ssy
 * @date 2023-11-30
 */
@Service
public class TPpeStaffLockerServiceImpl implements ITPpeStaffLockerService
{
    @Autowired
    private TPpeStaffLockerMapper tPpeStaffLockerMapper;

    /**
     * 查询自行车棚员工PPE柜
     *
     * @param id 自行车棚员工PPE柜ID
     * @return 自行车棚员工PPE柜
     */
    @Override
    public TPpeStaffLocker selectTPpeStaffLockerById(Long id)
    {
        return tPpeStaffLockerMapper.selectTPpeStaffLockerById(id);
    }

    /**
     * 查询自行车棚员工PPE柜列表
     *
     * @param tPpeStaffLocker 自行车棚员工PPE柜
     * @return 自行车棚员工PPE柜
     */
    @Override
    public List<TPpeStaffLocker> selectTPpeStaffLockerList(TPpeStaffLocker tPpeStaffLocker)
    {
        return tPpeStaffLockerMapper.selectTPpeStaffLockerList(tPpeStaffLocker);
    }

    @Override
    public List<TPpeStaffLocker> selectTPpeStaffLockerListByMainId(Long mainId)
    {
        return tPpeStaffLockerMapper.selectTPpeStaffLockerListByMainId(mainId);
    }

    /**
     * 新增自行车棚员工PPE柜
     *
     * @param tPpeStaffLocker 自行车棚员工PPE柜
     * @return 结果
     */
    @Override
    public int insertTPpeStaffLocker(TPpeStaffLocker tPpeStaffLocker)
    {
        return tPpeStaffLockerMapper.insertTPpeStaffLocker(tPpeStaffLocker);
    }

    /**
     * 修改自行车棚员工PPE柜
     *
     * @param tPpeStaffLocker 自行车棚员工PPE柜
     * @return 结果
     */
    @Override
    public int updateTPpeStaffLocker(TPpeStaffLocker tPpeStaffLocker)
    {
        return tPpeStaffLockerMapper.updateTPpeStaffLocker(tPpeStaffLocker);
    }

    /**
     * 批量删除自行车棚员工PPE柜
     *
     * @param ids 需要删除的自行车棚员工PPE柜ID
     * @return 结果
     */
    @Override
    public int deleteTPpeStaffLockerByIds(Long[] ids)
    {
        return tPpeStaffLockerMapper.deleteTPpeStaffLockerByIds(ids);
    }

    /**
     * 删除自行车棚员工PPE柜信息
     *
     * @param id 自行车棚员工PPE柜ID
     * @return 结果
     */
    @Override
    public int deleteTPpeStaffLockerById(Long id)
    {
        return tPpeStaffLockerMapper.deleteTPpeStaffLockerById(id);
    }
}
